// Log.h: interface for the Log class.
//
//////////////////////////////////////////////////////////////////////

#ifndef COMMON_SUPPORT_LOG_H
#define COMMON_SUPPORT_LOG_H

#include <stdio.h>
#include <stdlib.h>
#include "Common/World/Vector.h"


class Log  
{
public:
	void PrintAngle(Angle a, const char *formatBefore, ...);
	Log();
	Log(char * szfileName);
	virtual ~Log();

	static void Init();
	bool Create(int uniform);
	void printf(const char * format, ...);
	void PrintVector(Vector v, const char *format, ...);
	void PrintPoint(Point p, const char *formatBefore, ...);

private:
	char *m_szFileName;
	FILE* m_file;
	static char *m_logDir;
	static int nInstances;
};


#endif // COMMON_SUPPORT_LOG_H
